import 'package:get/get.dart';
import 'package:get_storage/get_storage.dart';
import 'package:worker_client/pages/index.dart';




List<GetPage> pages=[
  GetPage(name: '/', page: (){
    GetStorage box=GetStorage();
    return box.hasData('token')?Home():Login();
  }),
  GetPage(name: '/order', page: () => Order()),
  GetPage(name: '/login', page: () => const Login()),
  GetPage(name: '/home', page: () => Home()),
  GetPage(name: '/main', page: () => Main()),
  GetPage(name: '/jobDetail', page: () => JobDetail()),
  GetPage(name: '/orderDetail', page: () => OrderDetail()),
  GetPage(name: '/machineryList', page: () => MachineryList()),
  GetPage(name: '/machineryDetail', page: () => MachineryDetail()),
  GetPage(name: '/bankList', page: () => BankListPages()),
  GetPage(name: '/addBankCard', page: () => AddBankPage()),
];